Package org.opensaml.saml.saml2.profile.impl

# Class AddNameIDToSubjects.AssertionStrategy

java.lang.Object
org.opensaml.saml.saml2.profile.impl.AddNameIDToSubjects.AssertionStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,List<Assertion>>`

Enclosing class:
  AddNameIDToSubjects

private class AddNameIDToSubjects.AssertionStrategy extends Object implements Function<ProfileRequestContext,List<Assertion>>
Default strategy for obtaining assertions to modify.

If the outbound context is empty, a null is returned. If the outbound message is already an assertion, it's returned. If the outbound message is a response, then its contents are returned. If the outbound message is anything else, null is returned.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AssertionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`List<Assertion>`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### AssertionStrategy

private AssertionStrategy()

## Method Details

### apply

@Nullable @Unmodifiable @NotLive public List<Assertion> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,List<Assertion>>`